Bug 74233 - FILESAVE: RTF resaved without modifications changes the tables formatting
Summary: FILESAVE: RTF resaved without modifications changes the tables formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2014-01-30 16:08 UTC by Benjamin Bellec
Modified: 2018-10-22 02:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example file (28.26 KB, application/rtf)
2014-01-30 16:09 UTC, Benjamin Bellec
Details
Another simple test file. (49.81 KB, application/msword)
2017-10-05 22:32 UTC, Daniel Gualberto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Bellec 2014-01-30 16:08:45 UTC
If I open the attached RTF file with Writer, the table are correctly rendered. But if I save the file with a new name (without doing modification on the file itself), close the former file and then open the "new" file, the table are misrendered: the tables take all the page width.
Comment 1 Benjamin Bellec 2014-01-30 16:09:48 UTC
Created attachment 93065 [details]
example file
Comment 2 tommy27 2014-01-31 05:15:49 UTC
issue confirmed under Win7 64bit with many LibO releases from 3.6.7 to 4.1.4

I doubt such an old issue has never been reported before.
a Bugzilla search for duplicates is required.
Comment 3 Benjamin Bellec 2014-01-31 10:46:21 UTC
The problem doesn't occurs with Apache OpenOffice 4.0.1
Comment 4 tommy27 2014-01-31 12:24:25 UTC
@Benjamin Bellec
this is a valuable information.

later this evening I'll retest the issue with older LibO releases (3.3.x to 3.5.x branches)

I add an "RTF expert" to CC list.
Comment 5 Benjamin Bellec 2014-01-31 15:31:54 UTC
Thanks.
And to add a little more information, this is not specific to Windows, the problem happens also on LibreOffice 4.0.4.2 on CentOS 6.5.
Comment 6 tommy27 2014-01-31 18:05:01 UTC
(In reply to comment #5)
> Thanks.
> And to add a little more information, this is not specific to Windows, the
> problem happens also on LibreOffice 4.0.4.2 on CentOS 6.5.

Ok. Version --> ALL
Comment 7 tommy27 2014-01-31 19:26:50 UTC
(In reply to comment #4)
> 
> later this evening I'll retest the issue with older LibO releases (3.3.x to
> 3.5.x branches)

bug reproducible with LibO 3.3.3 and OOo 3.3.0 so it's inherited from OOo
however it works fine with AOO 4.0.0 so the guys at Apache have fixed it somehow.
Comment 8 Alexandr 2014-07-17 19:04:29 UTC
I reproduce this bug with LibreOffice 4.2.5 and 4.3.0.3 on Debian x86_64.
Comment 9 Robinson Tryon (qubit) 2015-12-10 01:08:13 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-01-03 19:39:40 UTC Comment hidden (obsolete)
Comment 11 Benjamin Bellec 2017-01-03 20:16:20 UTC
The bug is still present in LibreOffice version 5.2.3.3.
Tested on Fedora 25, libreoffice-writer 5.2.3.3-11.fc25 (x86_64).
Comment 12 Daniel Gualberto 2017-10-05 22:10:49 UTC
The bug is still present in LibreOffice version 5.4.2.2.
Tested on Windows 7, (x86).

I also experienced this bug in RTF table export filters too. The Writer can read the RTF table correctly, but it always exports it with width of the complete page.

I could also confirm that the bug is not present in Apache OpenOffice 4.1.3.
Comment 13 Daniel Gualberto 2017-10-05 22:32:49 UTC
Created attachment 136791 [details]
Another simple test file.

Open, save as RTF with a new name, and reopen. All tables width will be set to the page's complete width.
Comment 14 Alexandr 2017-10-21 15:45:30 UTC
Reproducible with LibreOffice 6.0.0.0.alpha1.
One more issue appear: the attachment 93065 [details] is opened as 6 pages document. I have reported it as bug 113326
Comment 15 QA Administrators 2018-10-22 02:49:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug